Skip to main content
PATCH
Update a webhook endpoint
Requires workspace access to async APIs. Signing secrets are returned only on creation or rotation.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 120
url
string<uri>
events
enum<string>[]
Minimum array length: 1
Available options:
job.created,
job.status_changed,
job.progress,
job.completed,
job.failed,
job.cancelled,
job.expired,
video.created,
video.status_changed,
video.progress,
video.completed,
video.failed,
video.cancelled,
video.expired,
batch.created,
batch.status_changed,
batch.progress,
batch.completed,
batch.failed,
batch.cancelled,
batch.expired
status
enum<string>
Available options:
active,
disabled

Response

Webhook endpoint updated

id
string
required
workspaceId
string
required
name
string
required
url
string
required
status
enum<string>
required
Available options:
active,
disabled,
deleted
events
enum<string>[]
required
Available options:
job.created,
job.status_changed,
job.progress,
job.completed,
job.failed,
job.cancelled,
job.expired,
video.created,
video.status_changed,
video.progress,
video.completed,
video.failed,
video.cancelled,
video.expired,
batch.created,
batch.status_changed,
batch.progress,
batch.completed,
batch.failed,
batch.cancelled,
batch.expired
hasSecret
boolean
required
createdBy
string | null
createdAt
string<date-time> | null
updatedAt
string<date-time> | null
deletedAt
string<date-time> | null
Last modified on October 18, 2026